Search documentation of stdlib

# erl_expand_records (stdlib v7.3)

View Source

This module expands records in a module.

## See Also

Section The Abstract Format in ERTS User's Guide.

# Summary

## Functions

module(AbsForms, CompileOptions)

Expands all records in a module to use explicit tuple operations and adds explicit module names to calls to BIFs and imported functions. The returned module has no references to records, attributes, or code.

# Functions

# module(AbsForms, CompileOptions)

    -spec module(AbsForms, CompileOptions) -> AbsForms2
                    when
                        AbsForms :: [erl_parse:abstract_form()],
                        AbsForms2 :: [erl_parse:abstract_form()],
                        CompileOptions :: [compile:option()].

Expands all records in a module to use explicit tuple operations and adds explicit module names to calls to BIFs and imported functions. The returned module has no references to records, attributes, or code.